var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';

import { Flex } from './..';

import classes from './style.module.scss';

var ModalHeader = function ModalHeader(_ref) {
  var children = _ref.children,
      className = _ref.className,
      toggleClose = _ref.toggleClose,
      attrs = _objectWithoutProperties(_ref, ['children', 'className', 'toggleClose']);

  return React.createElement(
    'header',
    _extends({ className: [classes['Modal-Header'], className || ''].join(' ') }, attrs),
    React.createElement(
      Flex,
      { align: 'center', justify: 'between' },
      children,
      toggleClose && React.createElement(
        'button',
        { className: classes['Modal-Header-Close'], onClick: toggleClose, type: 'button' },
        React.createElement('i', { className: 'fa fa-times-circle' })
      )
    )
  );
};

ModalHeader.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.any,
  className: PropTypes.node,
  toggleClose: PropTypes.func
} : {};

export default ModalHeader;